﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Vektory
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        const int Max = 10;

        int pocetPrvku;

        int minHodnota = 1; // min hodnota pro generovani nah. cislem
        int maxHodnota = 100;

        Random rand = new Random();

        int[] pole;

        public MainWindow()
        {
            InitializeComponent();
            Reset();
        }

        void Reset ()
        {
            pocetPrvku = Max;
            pole = new int[pocetPrvku];

            TxtPocetPrvku.Text = pocetPrvku.ToString();
            TxtMinHodnota.Text = minHodnota.ToString();
            TxtMaxHodnota.Text = maxHodnota.ToString();

            BtnDoMrizky.IsEnabled = false;
            BtnVektorJakoText.IsEnabled = false;
        }

        void NahodnePlneni ()
        {
            for (int i = 0; i < pocetPrvku; i++)
                pole[i] = rand.Next (minHodnota, maxHodnota+1);
        }

        void ZobrazDoMrizky ()
        {
            LstVektor.ItemsSource = null;
            LstVektor.ItemsSource = pole;
        }

        string PoleJakoText ()
        {

            string pom = "Vektor: " + pole[0];

            for (int i = 1; i < pocetPrvku; i++)
                pom += "," + pole[i];

            return pom;
        }


        private void BtnNahodne_Click(object sender, RoutedEventArgs e)
        {
            NahodnePlneni();
            BtnDoMrizky.IsEnabled = true;
            BtnVektorJakoText.IsEnabled = true;
            // MessageBox.Show(pole[0] + "," + pole[1]);
        }

        private void BtnDoMrizky_Click(object sender, RoutedEventArgs e)
        {
            ZobrazDoMrizky();
        }

        private void BtnVektorJakoText_Click(object sender, RoutedEventArgs e)
        {
             TxtVysledek.Text = PoleJakoText();
           // TxtVysledek.Text = "Vektor: " +  String.Join(",", pole);
        }
    }
}
